Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.build.fs
Enum NewFSParser.NS

    java.lang.Object
      java.lang.Enum<NewFSParser.NS>
          org.basex.build.fs.NewFSParser.NS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NewFSParser.NS>

Enclosing class:
  NewFSParser

    public static enum NewFSParser.NS

extends java.lang.Enum<NewFSParser.NS>

All namespaces used in `NewFSParser`.

Enum Constant Summary
`DCTERMS` Dublin Core metadata terms namespace.
`FS` DeepFS filesystem namespace.
`FSMETA` DeepFS metadata namespace.
`XS` XML schema namespace.
`XSI` XML schema instance namespace.

Method Summary
`void` | `start(Builder b)` Calls `Builder.startNS(byte[], byte[])`.
`byte[]` | `tag(java.lang.String element)` Converts the xml element into a byte array containing the correct namespace prefix.
`java.lang.String` | `toString()`
`static NewFSParser.NS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NewFSParser.NS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XS

    public static final NewFSParser.NS XS

  XML schema namespace.

### XSI

    public static final NewFSParser.NS XSI

  XML schema instance namespace.

### FS

    public static final NewFSParser.NS FS

  DeepFS filesystem namespace.

### FSMETA

    public static final NewFSParser.NS FSMETA

  DeepFS metadata namespace.

### DCTERMS

    public static final NewFSParser.NS DCTERMS

  Dublin Core metadata terms namespace.

Method Detail

### values

    public static NewFSParser.NS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NewFSParser.NS c : NewFSParser.NS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NewFSParser.NS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<NewFSParser.NS>`

### start

    public void start(Builder b)

  Calls `Builder.startNS(byte[], byte[])`.

  Parameters:
    `b` - the builder instance.

### tag

    public byte[] tag(java.lang.String element)

  Converts the xml element into a byte array containing the correct namespace prefix.

  Parameters:
    `element` - the xml element to convert.
  Returns:
    the converted element as byte array;

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD